# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

menu_item = items.MenuItem(
    # GENERAL
    _('Organization'),
    reverse('admin:app_list', kwargs={'app_label': 'organization'}),
    children=[
        items.MenuItem(
            _('Organization'), '',
            children=[
                items.MenuItem(_('Add Organization'), reverse('admin:organization_organization_add',)),
                items.MenuItem(_('Organization List'), reverse('admin:organization_organization_changelist',) ),
            ]

        ),
        items.MenuItem(
            _('Contact'), '',
            children=[
                items.MenuItem(_('Add Contact'), reverse('admin:organization_contact_add',)),
                items.MenuItem(_('Contact List'), reverse('admin:organization_contact_changelist',) ),
            ]
        ),
    ]
)

register_menu(menu_item, 'jmb.organization')
